#ifndef _485NETWORKCOMMIF_H
#define _485NETWORKCOMMIF_H
#include "NetworkProtocol.h"
#include "NetworkDevice.h"

class C485NetworkCommIF : public CNetworkProtocol, CAbstractNetworkCommIF
{
public:
    C485NetworkCommIF();
    ~C485NetworkCommIF();

 int RegisterNewDevice(CNetworkDevice *NewDevice);


    //NetworkProtocol implementation
   virtual int NewFrameReceived(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray Data);

    //NetworkCommIF implementation
    virtual int SendNetworkMessage(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray *Data);

private:
    QList<CNetworkDevice *> mDevicesList;
};

#endif // _485NETWORKCOMMIF_H
